<template>
  <div class="token-item">
    <dl>
      <dt class="token-name">
        <code>{{ tokenName }}</code>
      </dt>
      <dd class="token-value">"{{ tokenValue }}"</dd>
    </dl>
    <slot></slot>
  </div>
</template>

<script>
const TokenItem = {
  name: "tokenItem",
  props: {
    tokenName: {
      type: String,
      default: null,
    },
    tokenValue: {
      type: [String, Number],
      default: null,
    },
  },
  data() {
    return {
      styleRule: null,
    }
  },
}

export default TokenItem
</script>

<style></style>
